Skip to main content
You can create Customer Identifiers using the Smart Collect APIs to accept large payments from your customers in the form of bank transfers via NEFT, RTGS and IMPS. In addition, you can also add an Allowed Payer or delete an Allowed payer using Smart Collect TPV APIs.
Handy TipsIf you are a new customer, explore Smart Collect 2.0 . It uses the same APIs as Smart Collect, while also offering additional endpoints—such as creating a Customer Identifier with a VPA and bank account, fetching UPI payments, and adding a VPA Receiver to an existing Customer Identifier.
Fork the Razorpay Postman Public Workspace and try the Smart Collect with TPV APIs using your Test API Keys. Run in Postman

Create a Customer Identifier with TPV

POST /v1/virtual_accountsCreates a Customer Identifier with bank account.

Add an Allowed Payer With TPV

POST /v1/virtual_accounts/:va_id/allowed_payersAdds an allowed payer’s account.

Fetch a Customer Identifier Using id With TPV

GET /v1/virtual_accounts/:idRetrieves details of a Customer Identifier with id.

Fetch All Customer Identifiers With TPV

GET /v1/virtual_accountsRetrieves details of all Customer Identifiers.

Fetch Payments for a Customer Identifier With TPV

GET /v1/virtual_accounts/:id/paymentsRetrieves details of payments made against a particular Customer Identifier.

Fetch Payment Details Using id and Transfer Method With TPV

GET /v1/payments/:id/bank_transferRetrieves details of a payment using payment id and bank transfer method.

Delete an Allowed Payer Account With TPV

DELETE /v1/virtual_accounts/:va_id/allowed_payers/:idDeletes an allowed payer account.